> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all matching schedules



## OpenAPI

````yaml /api-reference/4.2/service-scheduler.json get /scheduler/schedules
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service scheduler
servers:
  - url: /api/apollo/
security: []
tags:
  - name: scheduler
paths:
  /scheduler/schedules:
    get:
      tags:
        - 4.2 Scheduler API
      summary: Retrieve all matching schedules
      operationId: getSchedules
      parameters:
        - name: creatorType
          in: query
          description: The type of user that created the schedule
          required: false
          schema:
            type: string
        - name: creatorId
          in: query
          description: The ID of the user that created the schedule
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Schedule'
components:
  schemas:
    Schedule:
      type: object
      properties:
        id:
          type: string
        creatorType:
          type: string
        creatorId:
          type: string
        createTime:
          type: string
          format: date-time
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        repeatUnit:
          type: string
          enum:
            - MILLISECOND
            - SECOND
            - MINUTE
            - HOUR
            - DAY
            - WEEK
            - MONTH
        interval:
          type: integer
          format: int32
        active:
          type: boolean
          default: false
        callParams:
          $ref: '#/components/schemas/CallParams'
    CallParams:
      type: object
      properties:
        uri:
          type: string
        method:
          type: string
          enum:
            - GET
            - PUT
            - POST
            - DELETE
        queryParams:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
        entity:
          type: object

````